TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

ExtractBlockRange ( elt-alg^mat X, elt-ord^rat i, elt-ord^rat j, elt-ord^rat r, elt-ord^rat s ) -> elt-alg^mat

### Description

<shortdoc> Return the submatrix of X rooted at the [i, j]-th entry and extending to the [r, s]-th entry, inclusive. </shortdoc>

### Examples

x_m:=Matrix(Z,3,3,[1,2,3,4,5,6,7,8,9]);ExtractBlockRange(x_m,1,2,2,3);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack